require 'claide'
require 'json'
require 'git-thin/command/action'
module GitThin

    class Fetch < Thin
        include Action
        self.arguments = Action.arguments
        self.summary = Action.summary 'clone'
        self.description = Action.description  'clone'

        def initialize(argv)
            super
            if @verbose
                @verbose = LOGC|LOGN
            end
        end

        def run

            shell_ret = 0
            run_shell "git -C #{@source_root} clone --filter=blob:none --sparse "+@argv_remainder.join(' '),false ,LOGPRUNE|LOGC do |outs,errs,status|
                shell_ret = status
            end
            if shell_ret != 0
                exit(shell_ret+100)
            end
        end
    end
end